package com.aspose.barcode.issues;

import com.aspose.Util;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class BARCODJAVA33198
{
    public static void setLicense()
    {
        Util.setLicense();
    }

    public static void main(String[] args)
    {
        setLicense();
        System.out.println("");
        System.out.println("Running test1.jpg");
        run(new File("src/resources/issues/issue33198/test0.jpg"));
        System.out.println("Running test1.jpg");
        run(new File("src/resources/issues/issue33198/test1.jpg"));
    }

    public static void run(File file)
    {
        BufferedImage img = null;
        try
        {
            img = ImageIO.read(file);
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }

        BarCodeReader reader = new BarCodeReader(img, BarCodeReadType.Pdf417);

        while (reader.read())
        {
            System.out.println(reader.getCodeText());
            System.out.println(reader.getReadType());
        }
        reader.close();
    }
}
