package com.aspose.barcode.issues;


import com.aspose.Util;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;
import com.aspose.barcoderecognition.ImageBinarization;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class BARCODJAVA33201
{
    public static void setLicense()
    {
        Util.setLicense();
    }

    public static void main(String[] args)
    {
        setLicense();
        test1();
    }

    public static void test1()
    {
        BufferedImage img = null;
        try
        {
            img = ImageIO.read(new File("src/resources/issues/issue33201/test.png"));
        } catch (IOException e)
        {
            e.printStackTrace();
        }
        BarCodeReader reader = new BarCodeReader(img, BarCodeReadType.Code128);
        reader.setImageBinarizationHints(ImageBinarization.MedianSmoothing);
        while (reader.read())
        {
            System.out.println(reader.getCodeText());
            System.out.println(reader.getReadType());
        }
        reader.close();
    }
}
