package com.aspose.barcode.issues;

import com.aspose.Util;
import com.aspose.barcode.*;

import java.io.IOException;

public class BARCODJAVA33211
{

    public static void setLicense()
    {
        Util.setLicense();
    }

    public static void main(String[] args) throws IOException
    {
        setLicense();
        test();
    }

    private static void test() throws IOException
    {
        BarCodeBuilder builder = new BarCodeBuilder();
        builder.setSymbologyType(Symbology.QR);
        builder.setAspectRatio(1);
        builder.setBorderVisible(false);
        builder.setxDimension(1);
        builder.setyDimension(1);

        builder.setResolution(new Resolution(300, 300, ResolutionMode.Graphics));
        builder.setCodeLocation(CodeLocation.Below);
        builder.setEnableChecksum(1);
        builder.getMargins().setTop(0);
        builder.getMargins().setRight(0);
        builder.getMargins().setBottom(0);
        builder.getMargins().setLeft(0);
        builder.setImageQuality(ImageQualityMode.Default);
        builder.setPrinterName("Example");
        builder.setQRErrorLevel(QRErrorLevel.LevelH);
        builder.setCodeText("ThisIsATest(){}|/=+- !@#$%^&*");
        builder.save("src\\resources\\issues\\thumbs\\out.gif",BarCodeImageFormat.Gif);
    }
}
