package com.aspose.barcode.issues;


import com.aspose.barcode.BarCodeBuilder;
import com.aspose.barcode.BarCodeImageFormat;
import com.aspose.barcode.Symbology;

import java.util.Random;

public class BARCODJAVA33224
{
    public static void main(String[] args)
    {
        BarCodeBuilder writer = new BarCodeBuilder();

        final String AB = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
        Random rnd = new Random();

        StringBuilder sb = new StringBuilder( 4500 );
        for( int i = 0; i < 4500; i++ )
            sb.append( AB.charAt( rnd.nextInt(AB.length()) ) );
        System.out.println(sb.length());
        writer.setCodeText(sb.toString());
        writer.setSymbologyType(Symbology.QR);
        writer.save("D:\\test1.png", BarCodeImageFormat.Png);
    }
}
