package com.aspose.barcode.barcodjavaissues;

import com.aspose.barcode.TestUtil;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class BARCODJAVA33225
{
    @BeforeMethod
    public void setUp()
    {
        TestUtil.setLicense();
    }

    @Test
    public void test() throws IOException
    {
        BufferedImage img = ImageIO.read(new File("aspose.barcode\\src\\test\\resources\\barcodjavadata\\barcodescantestsafe.png"));

        BarCodeReader reader = new BarCodeReader(img, BarCodeReadType.Interleaved2of5);
        while (reader.read())
        {
            System.out.println("Filename :1.jpg Symbol:" + reader.getReadType() + " Code :" + reader.getCodeText());
        }
        reader.close();
    }
}
