package com.aspose.barcode.barcodjavaissues;

import com.aspose.barcode.TestUtil;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class BARCODJAVA33226
{
    @BeforeMethod
    public void setUp()
    {
        TestUtil.setLicense();
    }

    @Test
    public void out1() throws IOException
    {
        BufferedImage img = ImageIO.read(new File("aspose.barcode\\src\\test\\resources\\barcodjavadata\\out1.png.jpg"));

        BarCodeReader reader = new BarCodeReader(img, BarCodeReadType.Code39Standard);
        while (reader.read())
        {
            System.out.println("Filename :1.jpg Symbol:" + reader.getReadType() + " Code :" + reader.getCodeText());
        }
        reader.close();
    }

    @Test
    public void out2() throws IOException
    {
        BufferedImage img = ImageIO.read(new File("aspose.barcode\\src\\test\\resources\\barcodjavadata\\out2.png.jpg"));

        BarCodeReader reader = new BarCodeReader(img, BarCodeReadType.QR);
        while (reader.read())
        {
            System.out.println("Filename :1.jpg Symbol:" + reader.getReadType() + " Code :" + reader.getCodeText());
        }
        reader.close();
    }
}
