package com.aspose.barcode.barcodjavaissues;

import com.aspose.barcode.BarCodeBuilder;
import com.aspose.barcode.Symbology;
import com.aspose.barcode.TestUtil;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import java.io.IOException;

public class BARCODJAVA33235
{
    @BeforeMethod
    public void setUp()
    {
        TestUtil.setLicense();
    }

    @Test
    public void test() throws IOException
    {
        String str = "AYŞE";
        BarCodeBuilder builder = new BarCodeBuilder();
        builder.setSymbologyType(Symbology.Pdf417);
        builder.setCodeText("AYŞE" + "\n" + "Ümit" + "\n" + "Ümit@estee.com" + "\n" + "Türkiye");
        builder.save("aspose.barcode\\src\\test\\resources\\barcodjavadata\\Java5.0_barcode.png");
    }
}
