package com.aspose.barcode.barcodjavaissues;

import com.aspose.barcode.TestUtil;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class BARCODJAVA33239
{
    @BeforeMethod
    public void setUp()
    {
        TestUtil.setLicense();
    }

    @Test
    public void test() throws IOException    // todo work in java
    {
        BufferedImage img = ImageIO.read(new File("aspose.barcode\\src\\test\\resources\\barcodjavadata\\DatabarOmniDirectional.png"));

        BarCodeReader reader = new BarCodeReader(img, BarCodeReadType.DatabarOmniDirectional);

        while (reader.read())
        {
            System.out.println("Symbol:" + reader.getReadType() + " Code :" + reader.getCodeText());
        }
        reader.close();
    }
}
