package com.aspose.barcode.issues;

import com.aspose.Util;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;

public class Issue31563
{

    public static void setLicense()
    {
        Util.setLicense();
    }

    public static void main(String[] args)
    {
        setLicense();
        test1();
    }

    public static void test1()
    {
        try
        {
            BarCodeReader reader = new BarCodeReader("src/resources/issues/issue31563/p1_1.png", BarCodeReadType.AllSupportedTypes);
            if(reader.read())
            {
                Long brt = reader.getReadType();
                System.out.println("BarCodeReadType: " + brt.toString());
                System.out.println("CodeText: " + reader.getCodeText());
            }
        }
        catch(Exception ex)
        {
            System.out.println("Error: " + ex.toString());
        }

    }
}
