package com.aspose.barcode.issues;


import com.aspose.Util;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class Issue33203
{
    public static void setLicense()
    {
        Util.setLicense();
    }

    public static void main(String[] args)
    {
        setLicense();
        test1();
    }

    public static void test1()
    {
        BufferedImage img = null;
        try
        {
            img = ImageIO.read(new File("src/resources/issues/issue33203/_thumb_13592.png"));
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
        BarCodeReader reader = new BarCodeReader(img, BarCodeReadType.AllSupportedTypes);
        reader.setExpectedBarCodeCount(1);
        while (reader.read())
        {
            System.out.println(reader.getCodeText());
        }
        reader.close();
    }
}
