package com.aspose.barcode.standalone;

import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;
import org.apache.log4j.Logger;

import java.util.ArrayList;


public abstract class BarcodeExample
{
     private static Logger logger = Logger.getLogger(BarcodeExample.class);

//     public BarcodeExample()
//     {
//         setLicense();
//         generate();
//         logger.info(getBarcodeName() + " - " + recognize());
//     }

    public abstract void setLicense();
    public abstract void generate();
    public abstract long getBarCodeReadType();
    public abstract String getImagePath();
    public abstract Logger getLogger();

    public  void recognize()
    {
        BarCodeReader reader = new BarCodeReader(getImagePath(), getBarCodeReadType());
        reader.read();
        String text = reader.getCodeText();
        logger.info(text);
    }


    private String getBarcodeName()
    {
        String testName = this.toString().replaceAll("com.aspose.barcode.standalone.","");
        return testName;
    }


}
