package com.aspose.barcode.standalone;


import com.aspose.Util;

import java.util.ArrayList;

public class Runner
{
    public static void main(String[] args)
    {
        ArrayList<BarcodeExample> examples = new ArrayList<BarcodeExample>();
        examples.add(new AustraliaPostExample());
        examples.add(new AztecExample());
        examples.add(new BooklandEANExample());
        examples.add(new CodabarExample());
        examples.add(new Code11Example());
        examples.add(new Code39ExtendedExample());
        examples.add(new Code39StandardExample());
        examples.add(new Code93ExtendedExample());
        examples.add(new Code93StandardExample());
        examples.add(new Code128Example());
        examples.add(new DataMatrixExample());
        examples.add(new DeutschePostIdentcodeExample());
        examples.add(new DeutschePostLeitcodeExample());
        examples.add(new EAN8Example());
        examples.add(new EAN14Example());
        examples.add(new EAN128Example());
        examples.add(new Interleaved2of5Example());
        examples.add(new ItalianPost25Example());
        examples.add(new ITF6Example());
        examples.add(new MacroPdf417Example());
        examples.add(new Matrix2of5Example());
        examples.add(new MSIExample());
        examples.add(new OneCodeExample());
        examples.add(new OPCExample());
        examples.add(new Pdf417Example());
        examples.add(new PlanetExample());
        examples.add(new PostnetExample());
        examples.add(new PZNExample());
        examples.add(new QRExample());
        examples.add(new RM4SCCExample());
        examples.add(new SSCC18Example());
        examples.add(new Standard2of5Example());
        examples.add(new UPCAExample());
        examples.add(new UPCEExample());
        examples.add(new VINExample());

        for(BarcodeExample example : examples)
        {
            Util.setLicense();
            example.generate();
            example.recognize();

        }
    }
}
