package com.aspose.barcode.issues;

import com.aspose.Util;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class BARCODJAVA33217
{

    public static void setLicense()
    {
        Util.setLicense();
    }

    public static void main(String[] args) throws IOException
    {
        setLicense();
        thumb_13688();
    }

    private static void thumb_13688() throws IOException
    {
        BufferedImage img = ImageIO.read(new File("src\\resources\\issues\\thumbs\\aztec.jpg"));
        BarCodeReader rdr = new BarCodeReader(img, BarCodeReadType.AllSupportedTypes);
        if (rdr.read())
        {
            System.out.println("Filename :1.jpg Symbol:" + rdr.getReadType() + " Code :" + rdr.getCodeText());
        }
        rdr.close();
    }
}
