package com.aspose.barcode.issues;

import com.aspose.Util;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class BARCODJAVA33218
{

    public static void setLicense()
    {
        Util.setLicense();
    }

    public static void main(String[] args) throws IOException
    {
        setLicense();
        thumb_13689();
    }

    private static void thumb_13689() throws IOException
    {
        BufferedImage img = ImageIO.read(new File("src\\resources\\issues\\thumbs\\1bc.png"));
        BarCodeReader rdr = new BarCodeReader(img, BarCodeReadType.Code128);
        if (rdr.read())
        {
            System.out.println("Filename :1.jpg Symbol:" + rdr.getReadType() + " Code :" + rdr.getCodeText());
        }
        rdr.close();
    }
}
