package com.aspose.barcode.barcodjavaissues;

import com.aspose.barcode.BarCodeBuilder;
import com.aspose.barcode.Symbology;
import com.aspose.barcode.TestUtil;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

public class BARCODJAVA33227
{
    @BeforeMethod
    public void setUp()
    {
        TestUtil.setLicense();
    }

    @Test
    public void PDF417Chinese()
    {
        BarCodeBuilder builder = new BarCodeBuilder();
        builder.setSymbologyType(Symbology.Pdf417);
        builder.setCodeText("被洪水困住的");
        //builder.setCodeLocation(CodeLocation.None);
        builder.save("aspose.barcode\\src\\test\\resources\\barcodjavadata\\chinese0.png");
    }
}
