package com.aspose.barcode.issues;


import com.aspose.Util;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;

import javax.imageio.ImageIO;
import java.io.File;
import java.io.IOException;

public class Issue33200
{
    public static void setLicense()
    {
        Util.setLicense();
    }

    public static void main(String[] args)
    {
        setLicense();
        test1();
    }

    public static void test1()
    {
        BarCodeReader reader = null;
        try
        {
            reader = new BarCodeReader(ImageIO.read(new File("src/resources/issues/issue33200/_thumb_13587.png")), BarCodeReadType.DataMatrix);
        }
        catch (IOException e)
        {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        }

        while (reader.read())
        {
            System.out.println("Codetext found: " + reader.getCodeText() + ", Symbology: " + reader.getReadType());
        }
        reader.close();
    }
}
