package com.aspose.barcode.issues;

import com.aspose.Util;
import com.aspose.barcoderecognition.BarCodeReadType;
import com.aspose.barcoderecognition.BarCodeReader;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class Issue33202
{
    public static void setLicense()
    {
        Util.setLicense();
    }

    public static void main(String[] args)
    {
        setLicense();
        test1();
    }

    public static void test1()
    {
        BufferedImage img = null;
        try
        {
            img = ImageIO.read(new File("src/resources/issues/issue33202/test4.jpg"));
        }
        catch (IOException e)
        {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        }
        BarCodeReader reader = new BarCodeReader(img, BarCodeReadType.AllSupportedTypes);

        while (reader.read())
        {
            System.out.println(reader.getCodeText());
            System.out.println(reader.getReadType());
        }
        reader.close();
    }
}
